#
# spec file for package cups (Version 1.1.19)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  autoconf automake ed gpp libgpp libjpeg libpng-devel-packages libtiff openssl openssl-devel perl tcpd x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib ed fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext libjpeg libpng libpng-devel libstdc++-devel libtiff libtool openssl-devel perl rpm tcpd

Name:         cups
License:      GPL
Group:        Hardware/Printing
Summary:      The Common UNIX Printing System
Version:      1.1.19
Release:      104
Requires:     cups-libs = %{version}, cups-client = %{version}
Requires:     ghostscript_any, ghostscript-fonts-std, foomatic-filters
Conflicts:    plp lprold lprng
Source0:      cups-%{version}-source.tar.bz2
Source1:      poll_ppd_base.c
Source2:      lphelp.c
Source3:      dvitops
Source7:      ogonki
Source8:      rccups
Source9:      http://amaru.ti6.tu-harburg.de/portal/Members/ti6ntm/Projekte/Printanalyzer/PrintAnalyzer
Source11:     setcupsbroadcasting
Source12:     postscript.ppd.bz2
Source13:     cups.sysconfig
Source14:     cups.xinetd
Source50:     cupsomatic
Source100:    cups.permissions
Source101:    cups-pipe.pl
Source102:    cups-novell.pl
#Patch1:       %{name}-1.1.16-usb.diff
#Patch2:       %{name}-compiler.diff
Patch4:       cups-mime.patch
Patch6:       patch-template.dif
Patch7:       cups-1.1.15-libwrap-addition.dif
Patch8:       cups-pam.diff
#Patch9:       cups-1.1.15-background.diff
Patch10:      cups-access-conf.diff
Patch11:      cups-1.1.19-time_t_64bit.patch
Patch12:      cups-1.1.19-no_dvi.patch
Patch13:      cups-1.1.19-firstline.patch
Patch14:      cups-1.1.19-keepalive.patch
Patch15:      cups-1.1.19-encode_boolean.patch
Patch16:      cups-1.1.19-ppd_locale.patch
Patch17:      cups-1.1.19-usb_desc_generation.patch
Patch18:      cups-1.1.19-FontFile.patch
Patch19:      cups-1.1.19-preauth_security.patch
Patch20:      cups-1.1.19-usermode.patch
Patch21:      cups-1.1.19-locale.patch
Patch22:      cups-1.1.19-landscapeshift.patch
Patch23:      cups-1.1.19-lpdport.patch
Patch24:      cups-1.1.19-sighup.patch
Patch25:      cups-1.1.19-slp_browsing.patch
Patch26:      cups-1.1.19-wbytes_check.patch
Patch27:      cups-1.1.19-boolen_filter.patch
Patch28:      cups-1.1.19-lang_free.patch
Patch29:      cups-1.1.18-zero_len_udp_dos.patch
Patch30:      cups-1.1.19-xpdf.patch
Patch31:      cups-1.1.19-hpgltops.patch
Patch32:      cups-1.1.19-lppasswd.patch
Patch33:      cups-1.1.19-xpdf2.patch
Patch34:      cups-1.1.19-case_sensitive_location.patch
Patch35:      cups-1.1.23-xpdf3.patch
Patch100:     testpage.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%if %suse_version >= 801
PreReq:       textutils, fileutils, sh-utils, %insserv_prereq, %fillup_prereq /usr/sbin/groupadd
%endif

%description
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features.

http://www.cups.org



Authors:
--------
    Easy Software Products <cups@cups.org>

%define INSTALL install -m755
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define CPUs %(grep -c ^processor\  /proc/cpuinfo || echo 1)
%define docpath /usr/share/cups/doc
%package libs
Summary:      libraries for CUPS
Group:        Hardware/Printing

%description libs
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This package contains libraries needed by CUPS and
some other packages.



Authors:
--------
    Easy Software Products <cups@cups.org>

%package client
Summary:      CUPS Client Programs
Group:        Hardware/Printing
Conflicts:    plp lprold lprng
Requires:     cups-libs = %{version}

%description client
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This package contains all programs needed for
running a CUPS client, not a server.



Authors:
--------
    Easy Software Products <cups@cups.org>

%package devel
Summary:      development environment for CUPS
Group:        Development/Libraries/C and C++
Requires:     %{name}-libs = %{version}

%description devel
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This is the development package.

http://www.cups.org



Authors:
--------
    Easy Software Products <cups@cups.org>

%prep
%setup -n %{name}-%{version}
#%patch1 -p1 -b .orig
#%patch2 -p1
%patch4 -p1
%patch6 -p0 -E
%patch7 -p1
%patch8
#%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p0
%patch35 -p1
. /.buildenv
perl -pi -e "s|SUSEVERSION|$BUILD_DISTRIBUTION_NAME|; \
	s/CUPSVERSION/%{version}/" %{PATCH100}
%patch100 -p0

%build
%{?suse_update_config:%{suse_update_config -f . }}
libtoolize --force
aclocal
autoconf
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -O2"
export CFLAGS=$RPM_OPT_FLAGS
export CXX=g++
./configure \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir} \
	--with-docdir=%{_defaultdocdir}/%{name} \
	--with-cups-user=lp \
	--with-cups-group=lp \
	--prefix=/
perl -pi -e 's:^(OPTIONS\s+\=):$1 -I/usr/X11R6/include -O2:' Makedefs
perl -pi -e 's:^(INSTALL_BIN\s+\=.*)-s:$1:' Makedefs
# for debugging enable:
# perl -pi -e 's:^(OPTIONS\s+\=):$1 -I/usr/X11R6/include -g -DDEBUG:' Makedefs
# perl -pi -e 's:^(OPTIM\s+\=):$1 -g -DDEBUG:' Makedefs
make CXX=g++
# Compile additional tools
gcc -opoll_ppd_base -I. -I./cups -L./cups -lcups %{SOURCE1}
gcc -olphelp -I. -I./cups -L./cups -lcups %{SOURCE2}

%install
test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT
make	prefix=$RPM_BUILD_ROOT \
	exec_prefix=$RPM_BUILD_ROOT/usr \
	BINDIR=$RPM_BUILD_ROOT/usr/bin \
	DATADIR=$RPM_BUILD_ROOT/usr/share/cups \
	DOCDIR=$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name} \
	INCLUDEDIR=$RPM_BUILD_ROOT/usr/include \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	LOCALEDIR=$RPM_BUILD_ROOT/usr/share/locale \
	LOGDIR=$RPM_BUILD_ROOT/var/log/cups \
	MANDIR=$RPM_BUILD_ROOT/usr/share/man \
	AMANDIR=$RPM_BUILD_ROOT/usr/share/man \
	MAN8EXT=8 \
	PAMDIR=$RPM_BUILD_ROOT/etc/pam.d \
	REQUESTS=$RPM_BUILD_ROOT/var/spool/cups \
	SBINDIR=$RPM_BUILD_ROOT/usr/sbin \
	SERVERBIN=$RPM_BUILD_ROOT%{_libdir}/cups \
	SERVERROOT=$RPM_BUILD_ROOT/etc/cups \
	install
if [ x%{version} = x"1.1.18" ]; then
	mv $RPM_BUILD_ROOT/usr/sbin/cupstestppd \
		$RPM_BUILD_ROOT/usr/bin/cupstestppd 
fi
# place CUPS-O-MATIC script in CUPS filter directory
%{INSTALL_SCRIPT} %{SOURCE50} $RPM_BUILD_ROOT%{_libdir}/cups/filter
%{INSTALL_SCRIPT} %{SOURCE7} $RPM_BUILD_ROOT%{_libdir}/cups/filter
%{INSTALL_SCRIPT} %{SOURCE3} $RPM_BUILD_ROOT%{_libdir}/cups/filter
install -m 0644 conf/printcap $RPM_BUILD_ROOT/etc/cups
ln -s /etc/cups/printcap $RPM_BUILD_ROOT/etc
# install the two litte tools
install -m 755 poll_ppd_base $RPM_BUILD_ROOT/usr/bin/
install -m 755 lphelp $RPM_BUILD_ROOT/usr/bin/
%{INSTALL_DIR} $RPM_BUILD_ROOT/etc/init.d
%{INSTALL_SCRIPT} %{SOURCE8} $RPM_BUILD_ROOT/etc/init.d/cups
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 -o root -g root %{SOURCE13} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.cups
perl -pi -e "s:\@LIB\@:%{_libdir}:g" $RPM_BUILD_ROOT/etc/init.d/cups
ln -sf ../../etc/init.d/cups $RPM_BUILD_ROOT/usr/sbin/rccups
#
rm -r $RPM_BUILD_ROOT/usr/share/cups/fonts
#mkdir -p /usr/share/ghostscript/fonts
mkdir -p $RPM_BUILD_ROOT/usr/share/ghostscript/fonts
ln -sf /usr/share/ghostscript/fonts $RPM_BUILD_ROOT/usr/share/cups/
# make directory for ssl files:
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cups/ssl
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -m 755 -D %{SOURCE14} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/cups-lpd
perl -pi -e "s:\@LIB\@:%{_libdir}:g" $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/cups-lpd
install -m 755 -D %{SOURCE101} $RPM_BUILD_ROOT%{_libdir}/cups/backend/pipe
install -m 755 -D %{SOURCE102} $RPM_BUILD_ROOT%{_libdir}/cups/backend/novell
ln -sf libcupsimage.so.2 $RPM_BUILD_ROOT%{_libdir}/libcupsimage.so
ln -sf libcups.so.2 $RPM_BUILD_ROOT%{_libdir}/libcups.so
ln -sf ../sbin/lpc $RPM_BUILD_ROOT/usr/bin/lpc # bugzilla#16652
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/share/cups/drivers
%{INSTALL_DIR} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
%{INSTALL_DIR} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/images
install -m 644 -D %{SOURCE100} $RPM_BUILD_ROOT/etc/permissions.d/cups-client
install -m 644 -D conf/pam.suse $RPM_BUILD_ROOT/etc/pam.d/cups
install -m 755 $RPM_SOURCE_DIR/PrintAnalyzer $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
bzip2 -cd < %{SOURCE12} > $RPM_BUILD_ROOT%{_datadir}/cups/model/Postscript.ppd
find %{buildroot}/usr/share/cups/model -name "*.ppd" | while read FILE
do
    # change default paper size from letter to A4 if possible (bugzilla#30662)
    # and delete trailing whitespace
    perl -pi -e 's:^(\*Default.*)Letter\s*$:$1A4\n:; \
	s:^(\*ImageableArea A4.*\:\s+)"0 0 595 842":$1"24 48 571 818":; \
	s:^(\*ImageableArea Letter.*\:\s+)"0 0 612 792":$1"24 48 588 768":; \
	s:\s\n:\n:' \
	"$FILE"
    gzip -9 "$FILE"
done
# remove unpackaged files
rm -rf $RPM_BUILD_ROOT/%{_mandir}/fr/cat?
rm -rf $RPM_BUILD_ROOT/%{_mandir}/cat?

%clean
#test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%pre
#rm -rf /usr/share/cups/fonts
if [ -d /usr/share/cups/fonts -a ! -L /usr/share/cups/fonts ] ; then
	mv /usr/share/cups/fonts /usr/share/cups/fonts.old
cat >var/adm/notify/messages/cups-update << _END_
Dear CUPS user,
 
the old font directory /usr/share/cups/fonts was moved to
/usr/share/cups/fonts.old. If you did not put additional fonts there,
you can savely delete it now. The new fonts directory is now a link to
the ghostscript fonts directory.
 
Yours SuSE team
_END_
fi
/usr/sbin/groupadd -g 71 -o -r ntadmin 2> /dev/null || :
exit 0

%post libs
%run_ldconfig

%post
%{fillup_and_insserv -y cups}

%preun
%stop_on_removal cups

%postun
%restart_on_update cups
%{insserv_cleanup}

%files
%defattr(-,root,root)
%dir %attr(711,lp,lp) %{_sysconfdir}/cups/certs
%dir %attr(755,lp,lp) %{_sysconfdir}/cups/ppd
%dir %attr(700,lp,lp) %{_sysconfdir}/cups/ssl
%config(noreplace) %attr(640,lp,lp) %{_sysconfdir}/cups/classes.conf
%config(noreplace) %attr(640,lp,lp) %{_sysconfdir}/cups/cupsd.conf
%config(noreplace) %{_sysconfdir}/cups/interfaces
%config(noreplace) %{_sysconfdir}/cups/mime.*
%config(noreplace) %attr(640,lp,lp) %{_sysconfdir}/cups/printers.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/cups-lpd
%{_sysconfdir}/cups/printcap
%{_sysconfdir}/printcap
%{_bindir}/poll_ppd_base
%{_bindir}/cupstestppd
%dir %{_libdir}/cups
%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/http
%{_libdir}/cups/backend/ipp
%{_libdir}/cups/backend/lpd
%{_libdir}/cups/backend/novell
%{_libdir}/cups/backend/parallel
%{_libdir}/cups/backend/pipe
%{_libdir}/cups/backend/scsi
%{_libdir}/cups/backend/serial
%{_libdir}/cups/backend/socket
%{_libdir}/cups/backend/usb
%{_libdir}/cups/cgi-bin
%{_libdir}/cups/daemon
%dir %{_libdir}/cups/filter
%{_libdir}/cups/filter/[abd-z]*
%{_libdir}/cups/filter/cupsomatic
%{_sbindir}/cupsaddsmb
%{_sbindir}/cupsd
%{_sbindir}/rc*
%dir %attr(0775,root,ntadmin) /usr/share/cups/drivers
%dir /usr/share/cups
/usr/share/cups/[bcf-t]*
/usr/share/cups/d[ao]*
%config %attr(0755,root,root) /etc/init.d/cups
%config /etc/pam.d/cups
/var/adm/fillup-templates/sysconfig.cups
%doc %{_defaultdocdir}/%{name}
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/cupsaddsmb*
%doc %{_mandir}/man8/cups-lpd*
%doc %{_mandir}/man8/cups-polld*
%doc %{_mandir}/man8/cupsd*
%dir %{_mandir}/fr
%dir %{_mandir}/fr/man5
%dir %{_mandir}/fr/man8
%doc %{_mandir}/fr/man5/*
%doc %{_mandir}/fr/man8/cupsaddsmb*
%doc %{_mandir}/fr/man8/cups-lpd*
%doc %{_mandir}/fr/man8/cups-polld*
%doc %{_mandir}/fr/man8/cupsd*

%files client
%defattr(-,root,root)
%{_sysconfdir}/permissions.d/cups-client
%{_bindir}/lp
%{_bindir}/lpc
%{_bindir}/lphelp
%{_bindir}/lpoptions
%attr(4755,lp,sys) %{_bindir}/lppasswd
%{_bindir}/lpq
%{_bindir}/lpr
%{_bindir}/lprm
%{_bindir}/lpstat
%{_bindir}/cancel
%{_bindir}/*able
%{_sbindir}/accept
%{_sbindir}/lp*
%{_sbindir}/reject
%dir %{_datadir}/locale/C
%{_datadir}/locale/*/cups_*
%doc %{_mandir}/man1/[a-eg-z]*
%doc %{_mandir}/man1/filter*
%dir %{_mandir}/fr
%dir %{_mandir}/fr/man1
%dir %{_mandir}/fr/man8
%doc %{_mandir}/fr/man1/*
%doc %{_mandir}/man8/[ad-r]*
%doc %{_mandir}/fr/man8/[ad-r]*

%files devel
%defattr(-,root,root)
%{_bindir}/cups-config
%{_includedir}/cups
%{_libdir}/libcups.a
%{_libdir}/libcupsimage.a

%files libs
#%dir %attr(0755,lp,lp) %{_sysconfdir}/cups/
%dir %attr(0710,lp,lp) %{_var}/spool/cups
%dir %attr(1770,lp,lp) %{_var}/spool/cups/tmp
%dir %attr(0755,lp,lp) %{_var}/log/cups/
%config(noreplace) %{_sysconfdir}/cups/client.conf
%{_libdir}/libcups.so*
%{_libdir}/libcupsimage.so*

%changelog -n cups
* Tue Jan 10 2006 - kssingvo@suse.de
- fixed various xpdf security issues (bugzilla#137156)
  CVE-2005-3624, CVE-2005-3625, CVE-2005-3626, CVE-2005-3627,
  CVE-2005-3628, CVE-2005-3193
* Mon Jul 18 2005 - kssingvo@suse.de
- fixed case sensitive location issue, CAN-2004-2154 (bugzilla#96707)
* Thu Jan 27 2005 - kssingvo@suse.de
- fixed problem in new passwd file generation (bugzilla#49370)
* Wed Jan 19 2005 - kssingvo@suse.de
- xpdf security fix, CAN-2005-0064 (bugzilla#49840)
- xpdf security fix, CAN-2004-1125 (bugzilla#49463)
- DoS attack not fixed; not affected (bugzilla#49545)
- lppasswd security fix, CAN-2004-1268 (bugzilla#49370)
- hpgltops security fix, CAN-2004-1267 (bugzilla#49369)
* Tue Nov 09 2004 - kssingvo@suse.de
- added missing underflow Patch, CAN-2004-0888, CAN-2004-0889
* Tue Oct 26 2004 - kssingvo@suse.de
- fixes for pdftops, CAN-2004-0888, CAN-2004-0889 (bugzilla#44963)
* Mon Aug 30 2004 - kssingvo@suse.de
- additional fixes for security problem in cupsomatic, CAN-2004-0801
  (bugzilla#44233)
* Thu Aug 26 2004 - kssingvo@suse.de
- fixed DoS security problem, CAN-2004-0558 (bugzilla#44088)
- fixed another security problem in cupsomatic, CAN-2004-0801
  (bugzilla#44233)
* Mon May 03 2004 - kssingvo@suse.de
- fixed additional memory leaks with cupsLangFree() (bugzilla#34192)
* Thu Jan 29 2004 - kssingvo@suse.de
- added a cupsLangFree() to avoid memory leak (bugzilla#34192)
* Wed Sep 17 2003 - kssingvo@suse.de
- authentication method for /admin changed (bugzilla#31158)
* Mon Sep 15 2003 - kssingvo@suse.de
- fixed PPDs defaults: Letter -> A4 (bugzilla#30662)
* Thu Sep 11 2003 - kukuk@suse.de
- Set sticky bit for /var/spool/cups/tmp
* Thu Sep 11 2003 - kssingvo@suse.de
- changed rcfile, as suggested in bugzilla#28444
* Tue Sep 09 2003 - kssingvo@suse.de
- fixed typo in configuration for preauth security patch
* Mon Sep 08 2003 - kssingvo@suse.de
- fix for the SLP browsing patch (missing/wrong initialize of variables)
* Wed Sep 03 2003 - kssingvo@suse.de
- fix for boolean options in filters (CUPS STR#249)
- fix for check of written bytes in 4 backends (CUPS STR#253)
- fix for segfault when browsing and SLP is set on (CUPS STR#259)
- fix for restart problem of processed jobs (CUPS STR#226)
- fix for LPD port number in URI (CUPS STR#249)
- fix for Landscape PDF offset rotation position (CUPS STR#243)
- generated /etc/cups/printcap and link /etc/printcap due to UserMode
  (bugzilla#29671)
* Tue Sep 02 2003 - kssingvo@suse.de
- fixed %%_libdir problem in xinetd.d/cups-lpd (bugzilla#29877)
* Mon Sep 01 2003 - kssingvo@suse.de
- last fix of bugzilla#29418 didn't work in reality. on specfile again.
- "-y" for fillup_and_insserv
* Mon Sep 01 2003 - kssingvo@suse.de
- DOCDIR removed to fix bugzilla#29418
- specfile: daemon has now security patches -> start it on boot per default
- specfile: restart of daemon on package update
* Fri Aug 29 2003 - kukuk@suse.de
- Set explicit correct permissions of /etc/cups contents, else
  cups will do it.
* Tue Aug 26 2003 - kssingvo@suse.de
- changed attributes for files (bugzilla#28736)
* Mon Aug 25 2003 - kssingvo@suse.de
- fix for locale destroying (bugzilla#29218)
* Mon Aug 25 2003 - kssingvo@suse.de
- made restrictrions in cupsd.conf to take preauthorization effect
* Thu Aug 21 2003 - kssingvo@suse.de
- cupsd runs now as lp:lp (as suggested in bugzilla#28444)
* Thu Aug 21 2003 - kssingvo@suse.de
- added preauthorization patch from okir - seems to work - thx
* Thu Aug 21 2003 - kssingvo@suse.de
- fixed USB backend to report manufacturer and model, if description
  string is missing (cups STR#174)
- fixed problem with some embedded Type1C fonts (cups STR#177)
- fixed problem when reading files and using the POSIX locale (cups STR#159)
* Wed Aug 20 2003 - kssingvo@suse.de
- added official patch for cupstestppd problem (bugzilla#27950)
- fixed problem with "keepalive on" (bugzilla#28154)
- fixed encode options to honor "yes" and "on" as values too
* Mon Aug 18 2003 - kssingvo@suse.de
- fixed metadata in sysconfig file (bugzilla#28861)
* Wed Aug 13 2003 - kssingvo@suse.de
- fixed cupstestppd (bugzilla#27950)
* Thu Jul 31 2003 - coolo@suse.de
- don't strip explicitly, but let the brp scripts handle it
* Tue Jul 29 2003 - kssingvo@suse.de
- fixed ogonkify (bugzilla#28307)
* Thu Jul 10 2003 - kssingvo@suse.de
- fixed 64bit problem in printers.cgi (bugzilla#24786)
- removed dvi printing support due to missing packages (bugzilla#27032)
* Fri Jul 04 2003 - kssingvo@suse.de
- splitted out foomatic-filters package, which is cups independed
  (except Coolo's faulty checking)
* Mon Jun 23 2003 - kssingvo@suse.de
- fixed mandir problem under non-i386 architecture
* Mon Jun 23 2003 - lmuelle@suse.de
- remove smb backand from file list and init script; it's now part of the
  samba-client package
* Tue Jun 17 2003 - kssingvo@suse.de
- added ptal to Should-Start in rccups (bugzilla#27159)
* Thu Jun 12 2003 - kukuk@suse.de
- Add missing directories to filelist
* Mon Jun 02 2003 - kssingvo@suse.de
- 1.1.19 is released -> updated
* Fri May 30 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Apr 29 2003 - kssingvo@suse.de
- updated to 1.1.19rc3
- removed unnecessary patches
- removed README.SuSE (bugzilla#26479)
* Wed Apr 09 2003 - kssingvo@suse.de
- added patch for cgi-interface: hostname is now mapped to localhost
- updated PrintAnalyzer script
* Wed Mar 12 2003 - kssingvo@suse.de
- fixed "endless attempts to print" problem (bugzilla#25152)
* Wed Mar 12 2003 - kssingvo@suse.de
- installs now correct pam file (bugzilla#23277)
* Mon Mar 10 2003 - kssingvo@suse.de
- fixed location of foomatic-rip filters -> /usr/bin
- added link for foomatic-rip
- updated foomatic-rip (to latest, fixed version)
* Thu Mar 06 2003 - kssingvo@suse.de
- fixed typo for manpage installation of foomatic-rip
- fixed file list of cups and cups-client (foomatic-rip is part of cups
  and therefore the corresponding package should contain the manpage too)
* Mon Mar 03 2003 - kssingvo@suse.de
- updated cupsomatic to linuxprinting.org (hopefully fixed accounting problem)
* Thu Feb 27 2003 - kssingvo@suse.de
- fix for add printer with KDE util (from CVS head)
* Wed Feb 26 2003 - kssingvo@suse.de
- fixed again filelist :)
- fixed documenation path (buzgzilla#24083)
- fixed PPD file parsing (from CVS head)
- tested daemon
* Wed Feb 26 2003 - ro@suse.de
- fix filelist (file listed twice)
* Wed Feb 26 2003 - kssingvo@suse.de
- updated foomatic-gswrapper
- added new foomatic-rip: filter, config file and manpage
* Mon Feb 24 2003 - kssingvo@suse.de
- updated backends novell and pipe
- renamed sysconfig metadata:  sysconfig.cups -> cups.sysconfig
- renamed permissions file:    permissions.cups -> cups.permissions
- fixed problem in lpoptions (no more loops! :)
* Thu Feb 20 2003 - mmj@suse.de
- Add sysconfig metadata [#22629]
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Tue Jan 28 2003 - kssingvo@suse.de
- fixed "Error message when starting cups daemon" problem (bugzilla#22472)
- removed unnecessary DocumentRoot setting cupsd.conf
* Tue Jan 28 2003 - kssingvo@suse.de
- changed replacement of distribution in testprint.ps
- rccups: moved hotplug from required start to should-start (bugzilla#23054)
- added /usr/bin/cupstestppd (bugzilla#23143)
- created xinetd.d file for cups-lpd
* Thu Jan 23 2003 - kssingvo@suse.de
- added usb patch (for epson printers)
- added herrno patch in IPP protocol
* Fri Jan 17 2003 - kssingvo@suse.de
- added two backends (pipe + novell), written by jsrain@suse.cz
- welcome back foomatic filter (makes more sense to have it here)
* Fri Dec 20 2002 - kssingvo@suse.de
- updated to 1.1.18, adapted testpage.diff for new version
* Mon Dec 16 2002 - kssingvo@suse.de
- fixed test for link problem in rccups
* Tue Dec 10 2002 - kssingvo@suse.de
- removed foomatic filter. with next suse release will be in pkg cups-drivers
* Wed Dec 04 2002 - kssingvo@suse.de
- updated to version 1.1.17, removed lib64 patch (now already in source tree)
* Thu Nov 07 2002 - kssingvo@suse.de
- updated %%files for all cups subpackages.
  (Now new cups files are included too :-)
* Thu Nov 07 2002 - kssingvo@suse.de
- removed debuging option in spec file.
* Thu Nov 07 2002 - kssingvo@suse.de
- updated to version 1.1.16, removed or adapted SuSE patches
* Tue Sep 10 2002 - ro@suse.de
- added prereq for groupadd (#19300)
* Thu Sep 05 2002 - ro@suse.de
- fix postinstall
* Thu Sep 05 2002 - kssingvo@suse.de
- changed %%post: removed "insserv" to make yast2 and security happy
* Mon Sep 02 2002 - kssingvo@suse.de
- changed cupsd.conf for 127.0.0.2 access (bugzilla#18764)
* Mon Sep 02 2002 - kssingvo@suse.de
- added directory /usr/share/cups/drivers for cupsaddsmb/samba
* Tue Aug 27 2002 - kssingvo@suse.de
- fixed foomatic and foomatic-gswrapper (bugzilla#18425)
* Wed Aug 21 2002 - kssingvo@suse.de
- gave %%files sections a %%deffattr and gave special files and dirs
  a required %%attr permissions of lp.sys (bugzilla#18126)
* Tue Aug 20 2002 - uli@suse.de
- fixed hardcoded path CUPS_SERVERBIN (fixes ghostscript on lib64
  archs)
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Mon Aug 12 2002 - kssingvo@suse.de
- cups-devel now requires exact matching version of cups-libs
- added /var/log/cups to cups-libs (bugzilla#17617)
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 22 2002 - kssingvo@suse.de
- fix for author patch: crashed on reload signal (tested for stability)
* Fri Jul 19 2002 - kssingvo@suse.de
- using now fillup to generate sysconfig file
- replaced delayed exit patch by CUPS authors one
* Thu Jul 18 2002 - kssingvo@suse.de
- again rccups: rc.config only parsed, if present (for backward compatibility)
* Thu Jul 18 2002 - kssingvo@suse.de
- updated rccups to satisfy new SuSE requirements
- added delayed exit of cupsd patch (for processing many PPD files)
* Wed Jul 10 2002 - kssingvo@suse.de
- adapted the pam file for SuSE (according to Thorstens proposal)
* Tue Jul 09 2002 - kssingvo@suse.de
- upgraded to version 1.1.15 and adapted all the old patches
- moved %%{_sysconfdir}/cups to libs (as suggested by jsmeix)
* Tue Jul 02 2002 - kssingvo@suse.de
- added symbolic link /usr/bin/lpc (bugzilla #16652)
- changed umask in rccups (bugzilla #16567)
* Thu Jun 13 2002 - draht@suse.de
- Running cupsd if no printer is configured makes no sense.
  Do not activate cupsd after installation in %%post.
* Tue Jun 04 2002 - kssingvo@suse.de
- fixed g++/cups-config problems in other cups subpackages
* Tue Jun 04 2002 - kssingvo@suse.de
- added 'cups-config' to devel
* Wed May 08 2002 - kssingvo@suse.de
- fixed linker problem (rpath) under x86_64
- therefore old x86_64 fix is no longer necessary: removed.
* Mon Apr 22 2002 - kssingvo@suse.de
- added %%ifarch x86_64 to avoid linking problems in specfile.
* Thu Apr 18 2002 - kssingvo@suse.de
- updated to 1.1.14
- removed unnecessary patches
- adapted testpage.ps patch to new file
- fixed permission problem with lppasswd
- fixed %%files section (now includes all %%dirs too)
* Wed Apr 10 2002 - ro@suse.de
- don't call autoreconf, we can't use autoheader and automake here
* Tue Feb 26 2002 - kssingvo@suse.de
- fixed too restrictive IPP security fix
- fixed documentation path (#13889)
* Mon Feb 25 2002 - kssingvo@suse.de
- reorganized online documentation. old structure might confuse people (#13849)
* Wed Feb 20 2002 - kssingvo@suse.de
- completed the IPP security fix again (hopefully the last time)
* Mon Feb 18 2002 - kssingvo@suse.de
- completed the IPP security fix
* Tue Feb 12 2002 - kssingvo@suse.de
- updated perl scripts cupsomatic, and foomatic-gswrapper
* Tue Feb 12 2002 - kssingvo@suse.de
- made patch cups-cs-utf8.dif again. got build problems with last version.
* Mon Feb 11 2002 - kssingvo@suse.de
- Added iso-8859-2 patch for czech utf-8 locale.
  Thanks to Petr Blahos <pblahos@suse.cz>.
* Mon Feb 11 2002 - kssingvo@suse.de
- added IPP security fix
* Fri Feb 01 2002 - draht@suse.de
- log tcp-wrappers based connection refusals to cups' own logfiles
  instead of syslog.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 29 2002 - draht@suse.de
- added support for tcp-wrappers (cups-1.1.12-libwrap-addition.dif)
  token for /etc/hosts.{allow,deny} is "cupsd".
* Mon Jan 21 2002 - schwab@suse.de
- Fix gcc version check.
* Tue Jan 08 2002 - pblahos@suse.cz
- cups-client does not provide print_daemon anymore. print_daemon
  is required by aps but cups-client does not satisfy aps
  regarding this.
- START_CUPS variable removed
- up to 1.1.12
* Sun Nov 11 2001 - bjacke@suse.de
- fixes specfile
* Sat Nov 10 2001 - bjacke@suse.de
- add standard postscript PPD
- set DefaultPage{Size,Region} to A4 in ppd files
- now reqiures ghostscript_any
- add /etc/permissions.d/cups-client (#4094)
- personalize test page
- move old font directory if existing and send mail
- up to 1.1.11
* Mon Oct 22 2001 - ro@suse.de
- remove ghostscript-fonts-std from neededforbuild, this is only
  a runtime requirement
* Tue Sep 04 2001 - bjacke@suse.de
- work around cups' broken tmp file handling (#10142)
* Sun Sep 02 2001 - bjacke@suse.de
- move client.conf to libs package
- activate cat8 man pages
- add README.SuSE
- update lphelp
* Thu Aug 30 2001 - bjacke@suse.de
- split into cups-client and cups(-server) package
- add %%ghosty smb printer backend support
- re-add ogonky for non-latin1 charsets (#9864)
- add printanalyzer script in doc
* Mon Aug 27 2001 - utuerk@suse.de
- removed cups.conf (now provided by susehelp)
* Mon Aug 27 2001 - kukuk@suse.de
- Remove -j parameter from spec file
* Sat Aug 25 2001 - bjacke@suse.de
- update to 1.1.10-1 (many fixes)
- fix output for dvi's (bug #9862)
- new poll_ppd_base
* Sun Aug 19 2001 - bjacke@suse.de
- split out cups-libs from cups
- add ssl directory
- make correct links for cups libraries
* Thu Aug 16 2001 - bjacke@suse.de
- use ghostscript fonts which are the same as the cups fonts and adjust
  dependecy for ghostscript-fonts-std
* Sun Aug 12 2001 - bjacke@suse.de
- enable SSL
* Fri Aug 10 2001 - bjacke@suse.de
- correct init script
* Fri Jul 20 2001 - max@suse.de
- new version 1.1.9 .
- updated init script to new skeleton (Bug #8981).
* Mon Jun 18 2001 - max@suse.de
- added support for PS files created by Netscape.
* Sun Apr 15 2001 - schwab@suse.de
- Fix missing declarations.
* Thu Apr 12 2001 - max@suse.de
- moved foomatic-gswrapper and cupsomatic
  from cups-drivers to cups
* Thu Apr 12 2001 - max@suse.de
- patched cupsd to use /dev/urandom instead of /dev/random.
  This fixes bug #6703
* Wed Apr 11 2001 - max@suse.de
- spec file overhaul
- using RPM_BUILD_ROOT now
- removed /etc/printcap from file list
- removed dependency to cups-drivers
* Tue Apr 10 2001 - kendy@suse.cz
- Wake up Epson Stylus USB printers before sending the print job.
- Added czech translations (czech.dif).
* Mon Apr 02 2001 - utuerk@suse.de
- added cups.conf for susehelp
* Fri Mar 23 2001 - kendy@suse.cz
- USB printers can be now addressed using URI
  usb:<device_without_number>?vendor=<xxxx>&prod_id=<yyyy>
  where <xxxx> and <yyyy> are USB identification numbers.
  (e.g. usb:/dev/usb/lp?vendor=04a9&prod_id=1052 for Canon BJC-6100)
- fixed pplication/dvi -> application/dvi in conf/mime.convs
* Mon Feb 26 2001 - mhafner@suse.de
- update to 1.1.6-3 (fixing several security issues)
* Tue Jan 30 2001 - mhafner@suse.de
- update to 1.1.6 (fixes possible DoS attack)
* Mon Jan 08 2001 - bjacke@suse.de
- added missing reqiures for cups-drivers
* Fri Dec 22 2000 - mhafner@suse.de
- update to version 1.1.5
* Mon Dec 04 2000 - mhafner@suse.de
- cups configuration changed - Browsing now Off by default
* Thu Nov 30 2000 - mhafner@suse.de
- added DVI filter
* Wed Nov 29 2000 - ro@suse.de
- fixed spec
* Tue Nov 28 2000 - ro@suse.de
- fixed startscript
* Fri Nov 24 2000 - mhafner@suse.de
- added rc.config fillup and SuSEconfig script to automatically
  set browse address if demanded
* Wed Nov 22 2000 - mhafner@suse.de
- split into system and development package
* Fri Oct 06 2000 - mhafner@suse.de
- documentation root changed
* Fri Oct 06 2000 - mhafner@suse.de
- update to version 1.1.4
- small changes in spec file
* Mon Sep 25 2000 - mhafner@suse.de
- make post-script succeed unconditionally
* Tue Sep 19 2000 - mhafner@suse.de
- update to version 1.1.3
* Thu Sep 14 2000 - mhafner@suse.de
- restart daemon if already started
- added two little tools (poll_ppd_base, lphelp)
- added a few compatibility links
* Thu Sep 14 2000 - mhafner@suse.de
- turned automatic generation of printcap on
- turned implicit classes off since they are buggy
* Wed Sep 13 2000 - mhafner@suse.de
- fixed directory structure
- added links to lpd and rclpd
* Fri Sep 01 2000 - adrian@suse.de
- added Conflicts line
* Mon Aug 28 2000 - adrian@suse.de
- initial package
